Description

The version status (open, locked, closed) isn't accessible for theme designers. Neither in Roadmap view nor in Version details view.

This patch adds another CSS class after #19341 in Roadmap view.

Plus it adds the new CSS classes from #19341 and the ones introduced here also in Version details view.

It can be discussed where to place the CSS classes. I put it on <div id="#roadmap"> but I believe it could also be nice to have them

available when styling the <h2> heading... More opinions?

Related issues:

Related to Redmine - Defect #21433: "version-completed" class is never set wh... Closed

Associated revisions

Revision 15270 - 2016-03-20 09:02 - Jean-Philippe Lang

Additional CSS class for version status (#21434).

History

#1 - 2015-12-06 13:53 - Tobias Fischer

Just for the record: New CSS classes are:

version-status-open for open versions

version-status-locked for locked versions

version-status-closed for closed versions

This information is more useful than "completed/incompleted" from #19341 when trying to add another version icon for locked versions.

#2 - 2015-12-06 21:58 - Jean-Philippe Lang

Tobias Fischer wrote:

but I believe it could also be nice to have them available when styling the <h2> heading

 Sure, can you update your patch?

#3 - 2015-12-06 23:08 - Tobias Fischer

Jean-Philippe Lang wrote:

Sure, can you update your patch?

Yes. However, I wasn't sure where to add those classes:

I assume <body> isn't appropriate as we normally don't have such classes there.

I thought about an <article> tag around the whole content in app/views/versions/show.html.erb to match the behaviour from patch #19341

or to add those classes to the <div id="content"> wrapper (which seems to be uncommon as well, right?)

Any suggestions?

#4 - 2016-01-04 12:31 - Toshi MARUYAMA

- Related to Defect #21433: "version-completed" class is never set when version has no due date added

#5 - 2016-01-22 19:46 - Tobias Fischer
Any chance to get this in 3.3 together with #21433 and all the other UI/CSS improvements?

The current patch would be okay.

However, if someone answers my question from comment 3 I'm going to update the patch 002 asap.

#6 - 2016-01-22 23:46 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

- Target version set to 3.3.0

I thought about an <article> tag around the whole content in app/views/versions/show.html.erb to match the behaviour from patch #19341

 That sounds reasonable.

#7 - 2016-03-20 09:02 - Jean-Philippe Lang

- Status changed from New to Closed

Files

001_add-version-status-css-class-to-roadmap.diff 743 Bytes 2015-12-06 Tobias Fischer

002_add-version-status-css-class-to-version-details.diff 680 Bytes 2015-12-06 Tobias Fischer

Screenshot-of-patch-002.png 77.6 KB 2015-12-06 Tobias Fischer

Screenshot-of-patch-001.png 87.3 KB 2015-12-06 Tobias Fischer
